Bug 233360 - [NEW PORT] security/otp: OTP tool
Summary: [NEW PORT] security/otp: OTP tool
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-20 21:35 UTC by J.R. Oldroyd
Modified: 2018-12-14 13:00 UTC (History)
0 users

See Also:


Attachments
shar of new port security/otp-1 (2.84 KB, text/plain)
2018-11-20 21:35 UTC, J.R. Oldroyd
no flags Details
shar of new port security/otp-r136 (4.41 KB, text/plain)
2018-12-08 18:17 UTC, J.R. Oldroyd
no flags Details
shar of new port security/otp-r137 (4.40 KB, text/plain)
2018-12-10 17:37 UTC, J.R. Oldroyd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2018-11-20 21:35:20 UTC
Created attachment 199391 [details]
shar of new port security/otp-1
Comment 1 Tobias Kortkamp freebsd_committer 2018-11-21 12:51:07 UTC
XRUN_DEPENDS=	${PREFIX}/bin/gpg:security/gnupg \
X		${PREFIX}/bin/oathtool:security/oath-toolkit \
X		${SITE_PERL}/JSON.pm:converters/p5-JSON

PREFIX is where a port installs into, LOCALBASE is where a ports'
dependencies come from.  So ${LOCALBASE} should be used here.
However we generally just drop ${LOCALBASE}/bin from dependency
specs like this.

XUSE_GNOME=	glib20 gtk30
XPLIST_SUB=	X11=""
XINSTALLS_ICONS=	yes

This is missing USES+=gnome and probably more since otp_gui appears
to be a Perl application.  Is a p5-Gtk3 dependency or similar not
missing too?

Xdo-extract:
X	${SVN} co -r ${SVN_REVISION} ${MASTER_SITES} ${WRKSRC}

I'm sorry but this is not acceptable and won't work in Poudriere
either.  Files need to be checksummed via distinfo and no network
connection is allowed in the extract phase.  Please create a tarball
and use that instead for the port.

Xbin/otp

This port conflicts with security/heimdal which installs a 'bin/otp'
too.

XFLAVORS=	x11 nox11
XFLAVOR?=	${FLAVORS:[1]}

Flavors need portmgr approval, so best put it up on
https://reviews.freebsd.org yourself after addressing the above
points.
Comment 2 Tobias Kortkamp freebsd_committer 2018-12-07 12:04:15 UTC
Ping.
Comment 3 J.R. Oldroyd 2018-12-08 18:17:09 UTC
Created attachment 199964 [details]
shar of new port security/otp-r136

Revised shar file.
Comment 4 Tobias Kortkamp freebsd_committer 2018-12-10 15:28:06 UTC
I have uploaded a cleaned up version to Phabricator for portmgr
review (needed for the flavors bits).

If you have any concerns about the changes I made, please raise
them there if possible.

- I think that overloading do-fetch just for the 'tarball' target
  is too complicated and have moved it to just under 'tarball' which
  is now only defined when you're in port maintainer mode (have
  DEVELOPER defined in make.conf).  The svn:// in MASTER_SITES is
  unlikely to pass a portmgr review (which we need if this is
  supposed to be committed with flavors).

- CONFLICTS* are matching on package names not port origins.

- Can you remove the MimeType line from otp.desktop?  It's empty and
  falsely triggers the USES=desktop-file-utils QA warning.
Comment 5 Tobias Kortkamp freebsd_committer 2018-12-10 16:55:10 UTC
Flavors were rejected.
Comment 6 Tobias Kortkamp freebsd_committer 2018-12-10 16:58:52 UTC
Giving it back to the pool.  I don't have much time or patience to do the
necessary changes.  See the review for some raised problems.
Comment 7 J.R. Oldroyd 2018-12-10 17:26:23 UTC
Several other ports that obtain their source from an svn server overload do-fetch to create the tarball.  I copied the example from those.  Something like 19 of them do it this way!

The Porter's Handbook documents flavors and gives a specific example (sec 7.2) of using "x11 nox11" as the way to add/exclude X11 functionality.  I copied that example.  What is the point of an example in the handbook that is then rejected when we use it???!

I will make the change to the .desktop file.
Comment 8 J.R. Oldroyd 2018-12-10 17:37:19 UTC
Created attachment 200009 [details]
shar of new port security/otp-r137